### R code from vignette source 'flexmix-intro.Rnw'
### Encoding: ASCII

###################################################
### code chunk number 1: flexmix-intro.Rnw:31-36
###################################################
set.seed(1504)
options(width=70, prompt = "R> ", continue = "+  ", useFancyQuotes = FALSE)
ps.options(family="Times")
library("flexmix")
data("NPreg")


###################################################
### code chunk number 2: flexmix-intro.Rnw:320-324
###################################################
library("flexmix")
data("NPreg")
m1 <- flexmix(yn ~ x + I(x^2), data = NPreg, k = 2)
m1


###################################################
### code chunk number 3: flexmix-intro.Rnw:327-328
###################################################
parameters(m1, component = 1)


###################################################
### code chunk number 4: flexmix-intro.Rnw:331-332
###################################################
parameters(m1, component = 2)


###################################################
### code chunk number 5: flexmix-intro.Rnw:337-338
###################################################
table(NPreg$class, clusters(m1))


###################################################
### code chunk number 6: flexmix-intro.Rnw:341-342
###################################################
summary(m1)


###################################################
### code chunk number 7: flexmix-intro.Rnw:358-361
###################################################
par(mfrow=c(1,2))
plot(yn~x, col=class, pch=class, data=NPreg)
plot(yp~x, col=class, pch=class, data=NPreg)


###################################################
### code chunk number 8: flexmix-intro.Rnw:379-380
###################################################
print(plot(m1))


###################################################
### code chunk number 9: flexmix-intro.Rnw:400-402
###################################################
rm1 <- refit(m1)
summary(rm1)


###################################################
### code chunk number 10: flexmix-intro.Rnw:423-424
###################################################
options(width=55)


###################################################
### code chunk number 11: flexmix-intro.Rnw:426-429
###################################################
m2 <- flexmix(yp ~ x, data = NPreg, k = 2, 
  model = FLXMRglm(family = "poisson"))
summary(m2)


###################################################
### code chunk number 12: flexmix-intro.Rnw:431-432
###################################################
options(width=65)


###################################################
### code chunk number 13: flexmix-intro.Rnw:436-437
###################################################
print(plot(m2))


###################################################
### code chunk number 14: flexmix-intro.Rnw:480-483
###################################################
m3 <- flexmix(~ x, data = NPreg, k = 2,
  model=list(FLXMRglm(yn ~ . + I(x^2)), 
    FLXMRglm(yp ~ ., family = "poisson")))


###################################################
### code chunk number 15: flexmix-intro.Rnw:498-499
###################################################
print(plot(m3))


###################################################
### code chunk number 16: flexmix-intro.Rnw:528-530
###################################################
m4 <- flexmix(yn ~ x + I(x^2) | id2, data = NPreg, k = 2)
summary(m4)


###################################################
### code chunk number 17: flexmix-intro.Rnw:546-548
###################################################
m5 <- flexmix(yn ~ x + I(x^2), data = NPreg, k = 2,
  control = list(iter.max = 15, verbose = 3, classify = "hard"))


###################################################
### code chunk number 18: flexmix-intro.Rnw:565-569
###################################################
m6 <- flexmix(yp ~ x + I(x^2), data = NPreg, k = 4,
  control = list(minprior = 0.2))

m6  


###################################################
### code chunk number 19: flexmix-intro.Rnw:579-582
###################################################
m7 <- stepFlexmix(yp ~ x + I(x^2), data = NPreg,
  control = list(verbose = 0), k = 1:5, nrep = 5)



###################################################
### code chunk number 20: flexmix-intro.Rnw:588-589
###################################################
getModel(m7, "BIC")


###################################################
### code chunk number 21: flexmix-intro.Rnw:724-731
###################################################
library("flexmix")
set.seed(1504)
options(width=60)
ps.options(family="Times")
require("ellipse")
require("mvtnorm")
source("mymclust.R")


###################################################
### code chunk number 22: flexmix-intro.Rnw:737-740
###################################################
data("Nclus")
m1 <- flexmix(Nclus ~ 1, k = 4, model = mymclust())
summary(m1)


###################################################
### code chunk number 23: flexmix-intro.Rnw:751-753
###################################################
m2 <- flexmix(Nclus ~ 1, k = 4, model = mymclust(diagonal = FALSE))
summary(m2)


###################################################
### code chunk number 24: flexmix-intro.Rnw:758-761
###################################################
par(mfrow=1:2)
plotEll(m1, Nclus)
plotEll(m2, Nclus)


###################################################
### code chunk number 25: flexmix-intro.Rnw:800-804
###################################################
SI <- sessionInfo()
pkgs <- paste(sapply(c(SI$otherPkgs, SI$loadedOnly), function(x) 
                     paste("\\\\pkg{", x$Package, "} ", 
                           x$Version, sep = "")), collapse = ", ")


